package com.kingdee.eas.custom.facade.worktime;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.facade.worktime.*;

public class DepartStatusFacade extends AbstractBizCtrl implements IDepartStatusFacade
{
    public DepartStatusFacade()
    {
        super();
        registerInterface(IDepartStatusFacade.class, this);
    }
    public DepartStatusFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IDepartStatusFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("76243A94");
    }
    private DepartStatusFacadeController getController() throws BOSException
    {
        return (DepartStatusFacadeController)getBizController();
    }
    /**
     *所有待审批单据的当前审批人状态为离职则提醒-User defined method
     */
    public void departStatus() throws BOSException
    {
        try {
            getController().departStatus(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}